<?php
require_once('../clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', '../clases/xajax/');
$xajax->setCharEncoding("ISO-8859-1");

function xExportar($varForm) {
	$varEmp = (isset($varForm["ecod"]) && $varForm["ecod"]<>'')? $varForm["ecod"]:"NULL";
	$varCli = (isset($varForm["ccod"]) && $varForm["ccod"]<>'')? $varForm["ccod"]:"NULL";
	$varVen = (isset($varForm["vcod"]) && $varForm["vcod"]<>'')? $varForm["vcod"]:"NULL";
	$varRut = (isset($varForm["rcod"]) && $varForm["rcod"]<>'')? "'".$varForm["rcod"]."'":"NULL";
	$varTip = (isset($varForm["tcod"]) && $varForm["tcod"]<>'')? $varForm["tcod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	$sql = "call spQuery_Registro_Ventas($varEmp, $varCli, $varVen, $varRut, $varTip, $varIni, $varFin, $varFie, $varOrd);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = (isset($varForm["titu"]))?$varForm["titu"]:"Reporte";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("../export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsAnulacionVentas($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", $varTabla);
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}
function xEliminar($varEmp, $varCod) {
	$var = VarServer("MYSQLI");
	$obj = new clsAnulacionVentas($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varResul = $obj->ProcesoEliminar($varEmp, $varCod);	
	$respuestaXajax = new xajaxResponse();
	if ($varResul=="OK") {
		$respuestaXajax->alert("VENTA ANULADA CORRECTAMENTE");
		}
	else
		$respuestaXajax->alert("ERROR AL PROCESAR DATOS...!!!!!\n====================================\n".$varResul."\nVERIFIQUE LOS DATOS POR FAVOR");
		
	return $respuestaXajax;
	}

function xImprimirDoc($varVen, $varEmp, $varTip) {
	$var = VarServer("MYSQLI");
	$obj = new clsAnulacionVentas($var[0],$var[1],$var[2],$var[3],$var[4]);
	$sql = "select formato from _sv_formato_impresion where id_empresa = $varEmp and id_tipo_doc = $varTip;";
	$obj->AbrirConexion();
	$rs = $obj->Query($sql);
	$obj->CerrarConexion();
	$fila = $obj->FetchArray($rs);
	
	$script = "var Ruta = 'print/".$fila[0]."?ven=".$varVen."&emp=".$varEmp."&tip=".$varTip."';
			   testwindow= window.showModalDialog(Ruta, \"xImprimirDoc\", \"dialogWidth:800px;dialogHeight:550px\");
			   ";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->script($script);
	return $respuestaXajax;
	}

$xajax->register(XAJAX_FUNCTION, 'seleccionar_empresa');	
$xajax->register(XAJAX_FUNCTION, 'seleccionar_vendedor');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_cliente_simple');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_ruta');
$xajax->register(XAJAX_FUNCTION, 'seleccionar_tipo_doc_venta');

$xajax->register(XAJAX_FUNCTION, 'xImprimirDoc');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xFormuDetalle');
$xajax->register(XAJAX_FUNCTION, 'xEliminar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');

$xajax->processRequest();
$xajax->printJavascript("../clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("ecod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA EMPRESA OBLIGATORIAMENTE");  
			xajax.$("ecod").focus();
			return (false); 
			}
		else if (xajax.$("ccod").value=="" && xajax.$("vcod").value=="" && xajax.$("fini").value=="" && 
				 xajax.$("ffin").value=="" && xajax.$("rcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
			}
		}
	function xExportarJS() {
		if (xajax.$("ccod").value=="" && xajax.$("vcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="" && xajax.$("rcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			xajax_xExportar(xajax.getFormValues('form'));		
			}		
		}
	
	function xEliminarJS(varCod, varCEmp, varNEmp, varEmi, varDoc, varCCli, varNCli, varTab) {
		var varTexto = "żESTA SEGURO DE ANULAR ESTE DOCUMENTO DE VENTA?\n================================================";
		varTexto = varTexto+"\nEmpresa\t: "+varCEmp+" - "+varNEmp;
		varTexto = varTexto+"\nF.Emision\t: "+varEmi;
		varTexto = varTexto+"\nDocumento\t: "+varDoc;
		varTexto = varTexto+"\nCliente\t\t: "+varCCli+" - "+varNCli;
		varTexto = varTexto+"\nTENGA EN CUENTA QUE ESTE PROCESO REALIZARA LO SIGUIENTE:";
		varTexto = varTexto+"\n** ANULARA EL MOVIMIENTO QUE SE REALIZO EN EL ALMACEN";
		varTexto = varTexto+"\n** ANULARA TODOS LOS PAGOS QUE SE HAYAN REALIZADO A ESTE DOCUMENTO EN LA CUENTA CORRIENTE DEL CLIENTE";
		if(confirm(varTexto)) {			
			xajax_xEliminar(varCEmp, varCod);
			EliminarFilaTabla(varTab)
			}
		}
				
	function FormuDetalleJS(varCod) {
		UnTip();
		var Ruta = 'print/print_detalle_venta.php?ide='+varCod;
		testwindow= window.open (Ruta, "print_detalle_venta", "location=no,status=no,toolbar=no,scrollbars=1,width=800,height=550");	
		}
</script>

<?php			
function MyTable($obj) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	} 
?>